# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/display/panel/ilitek,il79900a.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Ilitek IL79900a based MIPI-DSI panels

maintainers:
  - Langyan Ye <yelangyan@huaqin.corp-partner.google.com>

allOf:
  - $ref: panel-common.yaml#

properties:
  compatible:
    items:
      - enum:
          - tianma,tl121bvms07-00
      - const: ilitek,il79900a

  reg:
    maxItems: 1
    description: DSI virtual channel used by the panel

  enable-gpios:
    maxItems: 1
    description: GPIO specifier for the enable pin

  avdd-supply:
    description: Positive analog voltage supply (AVDD)

  avee-supply:
    description: Negative analog voltage supply (AVEE)

  pp1800-supply:
    description: 1.8V logic voltage supply

  backlight: true

required:
  - compatible
  - reg
  - enable-gpios
  - avdd-supply
  - avee-supply
  - pp1800-supply

additionalProperties: false

examples:
  - |
    dsi {
        #address-cells = <1>;
        #size-cells = <0>;

        panel@0 {
            compatible = "tianma,tl121bvms07-00", "ilitek,il79900a";
            reg = <0>;
            enable-gpios = <&pio 25 0>;
            avdd-supply = <&reg_avdd>;
            avee-supply = <&reg_avee>;
            pp1800-supply = <&reg_pp1800>;
            backlight = <&backlight>;
        };
    };

...
